WSPSEARCH(1)

NAME
wspsearch - Run Windows Search Protocol searches against a SMB server

SYNOPSIS

wspsearch {//server/share} [--limit=results] [--search=phrase] [--kind=KIND] [--query=QUERY] [-?|--help] [--usage] [-d|--debuglevel=DEBUGLEVEL] [--debug-stdout] [-s|--configfile=CONFIGFILE] [--option=name=value] [-l|--log-basename=LOGFILEBASE] [--leak-report] [--leak-report-full] [-R|--name-resolve=NAME-RESOLVE-ORDER] [-O|--socket-options=SOCKETOPTIONS] [-m|--max-protocol=MAXPROTOCOL] [-n|--netbiosname=NETBIOSNAME] [--netbios-scope=SCOPE] [-W|--workgroup=WORKGROUP] [--realm=REALM] [-U|--user=[DOMAIN/]USERNAME[%PASSWORD]] [-N|--no-pass] [--password=STRING] [--pw-nt-hash] [-A|--authentication-file=FILE] [-P|--machine-pass] [--simple-bind-dn=DN] [--use-kerberos=desired|required|off] [--use-krb5-ccache=CCACHE] [--use-winbind-ccache] [--client-protection=sign|encrypt|off]

DESCRIPTION

This tool is part of the samba(1) suite.

wspsearch is a simple utility to run Windows Search Protocol searches against a SMB server that has the WSP service enabled.

OPTIONS

server
    The SMB server name or IP address to connect to.

sharename
    The name of a share on the server.

--query
    A query specified in simplified AQS-like (Advanced query syntax).

    Basic (AQS) syntax is supported (See SEE ALSO). A query consists of a sequence of queries connected by AND, OR and NOT boolean operators. The query elements are essentially restrictions defined by a property. There are some limitations on the operators supported and some types of properties like enumerated ranges are not supported at all. Additionally syntactically range values are not delimited as specified by AQS (ranges are instead specified as value-value). Some special cases that you see in the windows search UI (for example sizes like 'tiny', 'small', 'large' etc.) are exceptions which are handled more or less as keywords. See EXAMPLES.

--search=phrase
    A simple phrase that is searched across the index

--kind=KIND
    kind one of;

            • Calendar

            • Communication

            • Contact

            • Document

            • Email

            • Feed

            • Folder

            • Game

            • InstantMessage

            • Journal

            • Movie

            • Music

            • Link

            • Note

            • Picture

            • Program

            • RecordedTV

            • SearchFolder

            • Task

            • Video

            • WebHistory

--limit
    A limit on the number of results returned, by default there is a limit of 500 results, a limit of 0 indicates no limit and all results will be returned.

EXAMPLES

Search using a basic phrase:

    	'wspsearch -Usomeuser%password //server/share --phrase="cats"'

Search using an AQS like query for a picture whose name starts with p403 or p404:

    	'wspsearch -Usomeuser%password //server/share --query="ALL:$<p403 OR ALL:$<p404 AND System.Kind:picture"'

SEE ALSO

Adanced Query Syntax https://learn.microsoft.com/en-gb/windows/win32/search/-search-3x-advancedquerysyntax

VERSION

This man page is part of version of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The wspsearch manpage was written by Noel Power.